[Tuto] Installer/Migrer DSM 5.2 à 6.0.2 (Loader Jun)


Recommended Posts

Bonjour à tous,

 

J'ai perdu un peu le file de la conversation.

 

Quelqu'un pourrait me dire s'il existe maintenant une solution pour installer DSM5 sur un disque ide et non ACHI ?

 

Merci :smile:

 

On parle de DSM 6 ici donc je suis pas sur que ce soit le bon fil de discussion. :ugeek:

 

Re,

 

c'est bien de DSM6 que je voulais parler.., désolé je me suis trompé

Link to post
Share on other sites

Bonjour,

 

J'ai un HP54NL (Amd) qui fonctionne très bien avec les loaders de Jun 1.01 et Arcao v2, à ceci près:

Je rencontre 2 petits soucis avec le loader de Jun:

- le premier à chaque arrêt ou reboot du système il me met que ma clé USB à mal été éjecter.

- le deuxième est que quand j'ai voulu faire la mise à jour update 2 vers 4 j'ai un message d'erreur et impossible à effectuer.

 

Du coup j'ai retenté avec le loader de Arcao et là victoire mise à jour faite sans souci et plus de message d'erreur de clé USB mal éjectée.

 

Mon installation initial avait été effectuée avec le loader de Arcao comme celui de Jun ne prenait pas encore en charge les processeur AMD.

 

Ceci explique peut-être les soucis d'installation de certaine personnes, à qui je conseillerai de tenter une installation avec le loader de Arcao et voir si cela fonctionne.

Link to post
Share on other sites

update 4 déjà dispo ...

Version: 6.0.2-8451-4

(2016/11/17)

Important Note

The update is expected to be available for all regions within the next few days, although the time of release in each region may vary slightly.

Fixed Issues

Fixed an issue where hot spare might not be properly activated.

Fixed an issue where false alarm might be triggered in Security Advisor.

Fixed an issue where the information of external storage devices and SSDs might be incorrectly displayed.

installé sur mon HP G8 sans problème

Link to post
Share on other sites

Passage de 5.2 semble s'être faite sans soucis, et sans que j'ai eu le temps de faire quelque chose puisque j'ai le prompt DSM6

 

Par contre je n'ai pas resaisie de mot de passe, et l'ancien ne semble pas fonctionner ... il y as une possibilité de faire une réinit du mdp ?

Link to post
Share on other sites
Merci beaucoup Polanskiman, pour votre réponse rapide.

 

Je regarderai cela en rentrant à la maison.

 

Pour les ports je n'utilise pas les dénominations standards par mesures de sécurité.

 

je vais déjà m'occuper du DDNS.

 

 

Hello,

Pour info le dyndns n'est pas obligatoire, tu peux juste utiliser l'adresse IP publique de ta box.

Après c'est vrai que c'est plus facile de se rappeler d'un DNS que d'une IP :smile:

Par contre, il faut bien passer par l'ouverture des ports comme l'indique Polanskiman.

A+

 

 

L'adresse IP est-elle fixe? Si oui, alors oui c'est possible. Si non alors il faut oublier tout de suite cette idée.

Je recommande ceci étant dit de mettre en place un DDNS car se rappeler d'une IP c'est pas franchement top.

 

 

oui oui c'est vrai que tu as raison. mon ip est fixe depuis longtemps, j'avais oublié ce point :smile:

et mon ip est enregistré dans mes favoris de navigateur donc je n'ai pas à m'en rappeler :wink:

Edited by Guest
Link to post
Share on other sites
F5BJR said:

 

Avoir éditer tous vos posts dans ce tutorial [Tuto] Installer/Migrer DSM 5.2 à 6.0.2 (Loader Jun) pour rediriger sur votre file de discussion qui n'a absolument rien avoir avoir avec le tuto n'est pas franchement malin et qui plus est ne respecte pas la netiquette. Que vous ne vouliez plus avoir à faire à XPEnology c'est votre problème mais que vous rendiez le tutoriel difficile à lire pour ceux et celles qui souhaitent utiliser XPEnology est le mien et celui des modérateurs. De plus vous faites la promotion d'un produit qui n'a rien avoir avec XPEnology. C'est du spam pur et dur.

Link to post
Share on other sites

Salut,

 

Tout d'abord marci à Polanskiman et à tous les contributeurs pour leur travail et leurs indications.

 

De mon côté, la migration s'est passé comme je le pensais : le système a bien migré mais j'ai perdu 2 disques.

 

J'ai un HP N40L avec 4 HDD en façade, un cinquième branché sur le port e-sata et un sixième à la place du lecteur de DVD.

 

J'avais mis le SataPortMap à 6 mais visiblement cela n'a pas suffi.

 

La dernière fois que j'avais eu ce problème, j'étais allé bricoler le fichier "synoinfo.conf" dans les répertoires "etc.defaults" et "etc".

 

est-ce qu'une bonne âme qui a la même configuration que moi pourrait me communiquer les valeurs des attributs:

- internalportcfg

- sataportcfg

- usbportcfg

 

Merci!

Link to post
Share on other sites
hello

 

i have create a disk ide to boot itu proxmox and after begin upgrade i have this

Note 3: Please check you have the right VID/PID prior proceeding. If you get the following error ”Failed to install the file. The file is probably corrupted. (13)" it means your VID and/or PID is wrong.

 

i have not a usb stick and vid or pid of my virtual disk ?

 

thanks

 

IDE wont work. You need to use AHCI/SATA.

 

No need to set pid/vid for VM machines.

 

Bonjour Polanskiman

 

Comme j'ai cu que tu étais francais autant t'écrire là

merci pour ton tuto

 

Bon tu me dis que mn erreur 13 ne viens pas du vid pid puisque pas besoin

 

je detecte acec les differents loader le nas en installation avec l'assistant ou directement an passant par l'interface web

j'essaye de faire une install fraiche et pas une mise a jour meme si j'ai aussi essaye et toujours le meme problème à savoir erreur 13

 

mon disque virtuel de boot et celui rajouter sont bien en sata mais pour l'ahci je ne vois pas trop comment faire sous proxmox

si mon erreur vient de là

faut l'activer dans le bios de la machine physisque ou virtuelle ?

 

dans la machine virtuelle au boot on voit bien 2 disque sata en ahci donc en théorie ok

 

merci pour les infos

Link to post
Share on other sites
bonsoir

Sera t'il possible dans une futur maj que les cartes mère qui non pas le AHCI et qui sont sur du Amd seront compatible Xpenology 6.0?

Merci pour votre travaille fournie

 

Les CPU AMD sont compatibles avec le loader. Le mode IDE ne l'est pas encore. Qui vivra verra :wink:. Il faut surtout attendre que le code source final et non beta de DSM 6.0.2 soit publié pa Synology. A ce moment les développeurs mettront surement plus de temps dans la compilation de drivers.

Link to post
Share on other sites
madmax said:
Polanskiman said:
madmax said:
hello

 

i have create a disk ide to boot itu proxmox and after begin upgrade i have this

Note 3: Please check you have the right VID/PID prior proceeding. If you get the following error ”Failed to install the file. The file is probably corrupted. (13)" it means your VID and/or PID is wrong.

 

i have not a usb stick and vid or pid of my virtual disk ?

 

thanks

 

IDE wont work. You need to use AHCI/SATA.

 

No need to set pid/vid for VM machines.

 

Bonjour Polanskiman

 

Comme j'ai cu que tu étais francais autant t'écrire là

merci pour ton tuto

 

Bon tu me dis que mn erreur 13 ne viens pas du vid pid puisque pas besoin

 

je detecte acec les differents loader le nas en installation avec l'assistant ou directement an passant par l'interface web

j'essaye de faire une install fraiche et pas une mise a jour meme si j'ai aussi essaye et toujours le meme problème à savoir erreur 13

 

mon disque virtuel de boot et celui rajouter sont bien en sata mais pour l'ahci je ne vois pas trop comment faire sous proxmox

si mon erreur vient de là

faut l'activer dans le bios de la machine physisque ou virtuelle ?

 

dans la machine virtuelle au boot on voit bien 2 disque sata en ahci donc en théorie ok

 

merci pour les infos

 

Quelle version du loader utilises tu? Je ne suis pas expert en Promox donc c'est difficile pour moi de debugger ton problème mais normalement cette erreur et liée à un mauvais vid/pid dans une installation de DSM en baremetal. Dans ton cas tu virtualises DSM donc le vid/pid ne fais pas beaucoup sens a priori.

 

J'ai trouvé ceci >>> https://xpenology.com/forum/topic/6253-dsm-6xx-loader/?do=findComment&comment=56844

 

Tu peux chercher avec le mot "Proxmox" dans le fil de discussion principale. Il semble que d'autres personnes est réussie.

Link to post
Share on other sites

Bonjour,

 

J'ai pu faire la mise à jour dsm 6.0 sur mon n54l, mais lorsque je souhaite faire la mise à jour de l'update 4, j'ai une erreur indiquant que le fichier est corrompu.

Y a t'il une étape à faire avant de lancer la mise à jour?

 

merci.

Link to post
Share on other sites
Salut,

 

Tout d'abord marci à Polanskiman et à tous les contributeurs pour leur travail et leurs indications.

 

De mon côté, la migration s'est passé comme je le pensais : le système a bien migré mais j'ai perdu 2 disques.

 

J'ai un HP N40L avec 4 HDD en façade, un cinquième branché sur le port e-sata et un sixième à la place du lecteur de DVD.

 

J'avais mis le SataPortMap à 6 mais visiblement cela n'a pas suffi.

 

La dernière fois que j'avais eu ce problème, j'étais allé bricoler le fichier "synoinfo.conf" dans les répertoires "etc.defaults" et "etc".

 

est-ce qu'une bonne âme qui a la même configuration que moi pourrait me communiquer les valeurs des attributs:

- internalportcfg

- sataportcfg

- usbportcfg

 

Merci!

 

Salut,

 

Je me réponds à moi-même :smile:

 

Les 6 HDD sont enfin reconnus. En fait, le problème venait du BIOS. Bizarrement, dans la configuration du SouthBridge, le paramètre "SATA IDE Combined Mode" était à "Enabled" ce qui ne plait pas du tout à DSM.

 

J'avais déjà eu ce problème lors du passage à DSM5 : je me souviens que des réglages avaient sauté dans le BIOS. C'est assez étrange. Je vais quand même remplacer la pile par précaution.

 

Par contre, j'ai voulu installer les applications standards Syno (DS Download,...) et il me dit "Ce package requiert que vous activiez « pgsql ».".

Visiblement, PostGres ne doit pas être démarré.

 

A suivre.

 

Voilà, encore merci à tous et surtout à Polanskiman!

Link to post
Share on other sites
Bonjour,

 

J'ai pu faire la mise à jour dsm 6.0 sur mon n54l, mais lorsque je souhaite faire la mise à jour de l'update 4, j'ai une erreur indiquant que le fichier est corrompu.

Y a t'il une étape à faire avant de lancer la mise à jour?

 

merci.

 

Non absolument aucune. Je fichier est peut etre bien corrompu a cause d'un téléchargement qui a coupé. Vous pouvez re-essayer ou alors télécharger l'update 4 manuellement ici >>> https://usdl.synology.com/download/DSM/ ... 3615xs.pat

Link to post
Share on other sites
Bonjour,

 

J'ai pu faire la mise à jour dsm 6.0 sur mon n54l, mais lorsque je souhaite faire la mise à jour de l'update 4, j'ai une erreur indiquant que le fichier est corrompu.

Y a t'il une étape à faire avant de lancer la mise à jour?

 

merci.

 

Non absolument aucune. Je fichier est peut etre bien corrompu a cause d'un téléchargement qui a coupé. Vous pouvez re-essayer ou alors télécharger l'update 4 manuellement ici >>> https://usdl.synology.com/download/DSM/ ... 3615xs.pat

@Polanskiman Malheureusement je dois vous contredire car j'ai connu exactement les mêmes soucis que j'ai réussi à résoudre et dont je les avaient relaté dans un post précédent dont voici une copie.

Bonjour,

 

J'ai un HP54NL (Amd) qui fonctionne très bien avec les loaders de Jun 1.01 et Arcao v2, à ceci près:

Je rencontre 2 petits soucis avec le loader de Jun:

- le premier à chaque arrêt ou reboot du système il me met que ma clé USB à mal été éjecter.

- le deuxième est que quand j'ai voulu faire la mise à jour update 2 vers 4 j'ai un message d'erreur et impossible à effectuer.

 

Du coup j'ai retenté avec le loader de Arcao et là victoire mise à jour faite sans souci et plus de message d'erreur de clé USB mal éjectée.

 

Mon installation initial avait été effectuée avec le loader de Arcao comme celui de Jun ne prenait pas encore en charge les processeur AMD.

 

Ceci explique peut-être les soucis d'installation de certaine personnes, à qui je conseillerai de tenter une installation avec le loader de Arcao et voir si cela fonctionne.

@benou33 J'espère que ceci pourra vous aider.

Link to post
Share on other sites
Victorien said:
a j'ai pas essayé avec 7zip, je test et j'edit si jamais, bon déjà le alx ne pourra jamais marché :s pour la simple et bonne raison que je n'ai pas une ar8161 mais 8131 ! alors même la si je me trompe ca va pas le faire et donc le driver charger est alt1c, je vais l'ajouter directement dans /usr/lib/modules et voir ce que ca donne

 

edit : bon ben trop beau pour être vrai :sad: pourtant le extra il y a bien le alt1c je lai mis dans ramdisk mais cela ne fonctionne toujours pas. alors le problème est autre je pense

 

edit2: bon ben en regardant correctement sur internet le driver qu'il faudrait prendre serait bien le alx mais cela ne fonctionne pas non plus :s je suis un peux deg. tempis

 

Si tu compiles un module il faut le mettre dans extra.lzma. Il faut aussi modifier /etc/rc.modules et mettre le nom du module dans EXTRA_MODULE. Arcao en a fait une explication simple >>> https://xpenology.com/forum/topic/6253-dsm-6xx-loader/?do=findComment&comment=56910

Link to post
Share on other sites
Bonjour,

 

J'ai pu faire la mise à jour dsm 6.0 sur mon n54l, mais lorsque je souhaite faire la mise à jour de l'update 4, j'ai une erreur indiquant que le fichier est corrompu.

Y a t'il une étape à faire avant de lancer la mise à jour?

 

merci.

 

Non absolument aucune. Je fichier est peut etre bien corrompu a cause d'un téléchargement qui a coupé. Vous pouvez re-essayer ou alors télécharger l'update 4 manuellement ici >>> https://usdl.synology.com/download/DSM/ ... 3615xs.pat

@Polanskiman Malheureusement je dois vous contredire car j'ai connu exactement les mêmes soucis que j'ai réussi à résoudre et dont je les avaient relaté dans un post précédent dont voici une copie.

Bonjour,

 

J'ai un HP54NL (Amd) qui fonctionne très bien avec les loaders de Jun 1.01 et Arcao v2, à ceci près:

Je rencontre 2 petits soucis avec le loader de Jun:

- le premier à chaque arrêt ou reboot du système il me met que ma clé USB à mal été éjecter.

- le deuxième est que quand j'ai voulu faire la mise à jour update 2 vers 4 j'ai un message d'erreur et impossible à effectuer.

 

Du coup j'ai retenté avec le loader de Arcao et là victoire mise à jour faite sans souci et plus de message d'erreur de clé USB mal éjectée.

 

Mon installation initial avait été effectuée avec le loader de Arcao comme celui de Jun ne prenait pas encore en charge les processeur AMD.

 

Ceci explique peut-être les soucis d'installation de certaine personnes, à qui je conseillerai de tenter une installation avec le loader de Arcao et voir si cela fonctionne.

@benou33 J'espère que ceci pourra vous aider.

 

Alors j'ai essayé l'installation manuel de la mise à jour, et toujours en erreur, même après un reboot du serveur.

 

Je vais tenter avec le loader de Arcao, par contre ou le trouver, il n'y a plus le lien sur la 1er page du tuto.

 

Il n'y a rien à contredire. Le problème de fichier corrompu n'a absolument rien avoir avec le loader. Si le fais de changer de loader vous à permis de faire la MAJ à l'update 4 alors tant mieux mais si le loader était le problème je pense que le fil de discussion principale serait inondé de post à sujet. Jusqu'a présent je n'ai vue que vous et benou33 qui avez ce problème et qui plus est vous avez les même machines. Donc cela me laisse à penser que soit votre bios est mal configurer soit il y a un problem avec votre clef usb (ce qui n'est pas rare).

 

Je veux juste clarifier quelque chose concernant les loader. Jun est le seul à avoir produit un loader. Arcao, Trantor et Setsukanawa n'ont fait que compiler des modules pour permettre une plus large compatibilité. Le loader utilisé dans les images successives de Arcao ou Setsunakawa par exemple contiennent le loader de Jun.

 

Le Loader de Jun v1.01 a apporté certaines améliorations et donc je conseille ce loader. Avant de publier v1.0 et v1.01 Jun avait publié le zImage (integrant la compatibilité avec AMD) et Arcao l'a intégré dans l'image qu'il a fait et publié.

 

Il y a aussi une différence structurelle entre les images de Jun et de Arcao. L'image de Jun a été produite avec un table de partition GPT/EFI. Celle de Arcao (qui en faite a été produite par Setsunakawa mais dans laquelle il a rajouter les modules) avec une table de partition MBR. Il est possible que vos machines aient un problème avec le GTP et c'est aussi peut être pour cela que avec l'image de Arcao vous n'avez pas de problème d'ejection de clef usb.

 

Vous pouvez essayer la chose suivante. Prenez l'image de Arcao, montez là et supprimez les dossiers grub et image entièrement. Maintenant prenez l'image de Jun v1.01 montez là et copiez les dossiers grub et image dans l'image montée de Arcao. Vous aurez le dernier loader en date avec une image en MBR. L'autre solution c'est de faire une image hybride soi meme en utilisant une table de partition MBR mais là ça devient un peu plus compliqué et long à expliquer.

 

J'ai mis tous les loader à disposition ici >>> https://mega.nz/#F!rMJWkaqC!RvzoKAF5-494PsXg9HssPA

Edited by Guest
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.